<?php
/**
 * Krystal Business Theme Customizer
 *
 * @package krystal-business
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

if ( ! function_exists( 'krystal_business_customize_register' ) ) :
function krystal_business_customize_register( $wp_customize ) {

    //Top Bar Settings
    $wp_customize->add_section(
        'krystal_business_tbar_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'theme_supports'=> '',
            'title'         => __( 'Top Bar Settings', 'krystal-business' )
        )
    );

    // Enable Top Bar
    $wp_customize->add_setting(
        'kr_enable_top_bar',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_enable_top_bar',
        array(
            'settings'      => 'kr_enable_top_bar',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Top Bar Section', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Email Address 
    $wp_customize->add_setting(
        'kr_mail_address',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_textarea'
        )
    );

    $wp_customize->add_control(
        'kr_mail_address',
        array(
            'settings'      => 'kr_mail_address',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Email Address', 'krystal-business' ),
            'description'   => __( 'This email address will appear in top bar left position', 'krystal-business' ),
        )
    );

    // Call Us 
    $wp_customize->add_setting(
        'kr_call_us',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_textarea'
        )
    );

    $wp_customize->add_control(
        'kr_call_us',
        array(
            'settings'      => 'kr_call_us',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Call Us', 'krystal-business' ),
            'description'   => __( 'Write down your phone number here', 'krystal-business' ),
        )
    );

    // Facebook
    $wp_customize->add_setting(
        'kr_facebook_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_facebook_icon',
        array(
            'settings'      => 'kr_facebook_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Facebook Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Facebook url 
    $wp_customize->add_setting(
        'kr_facebook_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_facebook_url',
        array(
            'settings'      => 'kr_facebook_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Facebook Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // Twitter
    $wp_customize->add_setting(
        'kr_twitter_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_twitter_icon',
        array(
            'settings'      => 'kr_twitter_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Twitter Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Twitter url 
    $wp_customize->add_setting(
        'kr_twitter_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_twitter_url',
        array(
            'settings'      => 'kr_twitter_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Twitter Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // Instagram
    $wp_customize->add_setting(
        'kr_instagram_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_instagram_icon',
        array(
            'settings'      => 'kr_instagram_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Instagram Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Instagram url 
    $wp_customize->add_setting(
        'kr_instagram_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_instagram_url',
        array(
            'settings'      => 'kr_instagram_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Instagram Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // Google Plus
    $wp_customize->add_setting(
        'kr_googleplus_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_googleplus_icon',
        array(
            'settings'      => 'kr_googleplus_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Google Plus Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Google Plus url 
    $wp_customize->add_setting(
        'kr_googleplus_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_googleplus_url',
        array(
            'settings'      => 'kr_googleplus_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Google Plus Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // LinkedIn
    $wp_customize->add_setting(
        'kr_linkedin_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_linkedin_icon',
        array(
            'settings'      => 'kr_linkedin_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable LinkedIn Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // LinkedIn url 
    $wp_customize->add_setting(
        'kr_linkedin_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_linkedin_url',
        array(
            'settings'      => 'kr_linkedin_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'LinkedIn Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // Pinterest
    $wp_customize->add_setting(
        'kr_pinterest_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_pinterest_icon',
        array(
            'settings'      => 'kr_pinterest_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable Pinterest Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // Pinterest url 
    $wp_customize->add_setting(
        'kr_pinterest_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_pinterest_url',
        array(
            'settings'      => 'kr_pinterest_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'Pinterest Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    // RSS
    $wp_customize->add_setting(
        'kr_rss_icon',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
        )
    );

    $wp_customize->add_control(
        'kr_rss_icon',
        array(
            'settings'      => 'kr_rss_icon',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'checkbox',
            'label'         => __( 'Enable RSS Icon', 'krystal-business' ),
            'description'   => '',           
        )
    );

    // RSS url 
    $wp_customize->add_setting(
        'kr_rss_url',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'krystal_business_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'kr_rss_url',
        array(
            'settings'      => 'kr_rss_url',
            'section'       => 'krystal_business_tbar_settings',
            'type'          => 'textbox',
            'label'         => __( 'RSS Link URL', 'krystal-business' ),
            'description'   => '',
        )
    );

    if(krystal_business_is_woocommerce_activated()){

        //Shop Settings
        
        $wp_customize->add_section(
            'krystal_business_shop_settings',
            array (
                'priority'      => 25,
                'capability'    => 'edit_theme_options',
                'theme_supports'=> '',
                'title'         => __( 'Shop Settings', 'krystal-business' )
            )
        );

        // cart menu
        $wp_customize->add_setting(
            'kr_menu_cart',
            array(
                'type' => 'theme_mod',
                'default'           => true,
                'sanitize_callback' => 'krystal_business_sanitize_checkbox_selection'
            )
        );

        $wp_customize->add_control(
            'kr_menu_cart',
            array(
                'settings'      => 'kr_menu_cart',
                'section'       => 'krystal_business_shop_settings',
                'type'          => 'checkbox',
                'label'         => __( 'Show Menu Cart:', 'krystal-business' ),
                'description'   => __( 'This will add a cart icon in primary menu of website', 'krystal-business' ),
            )
        );

        // Shop Name 
        $wp_customize->add_setting(
            'kr_shop_name',
            array(
                'type' => 'theme_mod',
                'default'           => __('SHOP','krystal-business'),
                'sanitize_callback' => 'krystal_business_sanitize_textarea',            
            )
        );

        $wp_customize->add_control(
            'kr_shop_name',
            array(
                'settings'      => 'kr_shop_name',
                'section'       => 'krystal_business_shop_settings',
                'type'          => 'textbox',
                'label'         => __( 'Shop Name', 'krystal-business' ),
                'description'   => '',
            )
        );

        // Shop Styles
        $wp_customize->add_setting(
            'kr_shop_styles',
            array(
                'type' => 'theme_mod',
                'default'           => 'default',
                'sanitize_callback' => 'krystal_business_sanitize_shop_styles_selection'
            )
        );

        $wp_customize->add_control(
            'kr_shop_styles',
            array(
                'settings'      => 'kr_shop_styles',
                'section'       => 'krystal_business_shop_settings',
                'type'          => 'radio',
                'label'         => __( 'Select Sidebar Position:', 'krystal-business' ),
                'description'   => '',
                'choices' => array(
                                'default' => __('Full Width', 'krystal-business'),
                                'right' => __('Rignt Sidebar', 'krystal-business'),
                                'left' => __('Left Sidebar', 'krystal-business'),
                                ),
            )
        ); 

        // Button Styles
        $wp_customize->add_setting(
            'kr_shop_button_styles',
            array(
                'type' => 'theme_mod',
                'default'           => 'solid',
                'sanitize_callback' => 'krystal_business_sanitize_button_styles_selection'
            )
        );

        $wp_customize->add_control(
            'kr_shop_button_styles',
            array(
                'settings'      => 'kr_shop_button_styles',
                'section'       => 'krystal_business_shop_settings',
                'type'          => 'radio',
                'label'         => __( 'Select Button Color:', 'krystal-business' ),
                'description'   => '',
                'choices' => array(
                                'transparent' => __('Transparent Color', 'krystal-business'),
                                'solid' => __('Solid Color', 'krystal-business'),
                                ),
            )
        );           
    }  
   
}
endif;

add_action( 'customize_register', 'krystal_business_customize_register' );

/**
 * Sanitize textarea.
 *
 * @param string $input
 * @return string
 */
if ( ! function_exists( 'krystal_business_sanitize_textarea' ) ) :
function krystal_business_sanitize_textarea( $input ) {
    return sanitize_textarea_field( $input );
}
endif;


/**
 * Sanitize Shop sidebar radio option 
 *
 * @param string $input
 * @return string
 */
if ( ! function_exists( 'krystal_business_sanitize_shop_styles_selection' ) ) :
function krystal_business_sanitize_shop_styles_selection(  $input ){
    $valid = array(
        'default' => __('Full Width', 'krystal-business'),
        'right' => __('Rignt Sidebar', 'krystal-business'),
        'left' => __('Left Sidebar', 'krystal-business'),      
     );

     if ( array_key_exists( $input, $valid ) ) {
        return $input;
     } else {
        return '';
     }
}
endif;

/**
 * Sanitize Shop buttons radio option 
 *
 * @param string $input
 * @return string
 */
if ( ! function_exists( 'krystal_business_sanitize_button_styles_selection' ) ) :
function krystal_business_sanitize_button_styles_selection(  $input ){
    $valid = array(
        'transparent' => __('Transparent Color', 'krystal-business'),
        'solid' => __('Solid Color', 'krystal-business'),      
     );

     if ( array_key_exists( $input, $valid ) ) {
        return $input;
     } else {
        return '';
     }
}
endif;

/**
 * URL sanitization.
 *
 * @see esc_url_raw() https://developer.wordpress.org/reference/functions/esc_url_raw/
 *
 * @param string $url URL to sanitize.
 * @return string Sanitized URL.
 */
if ( ! function_exists( 'krystal_business_sanitize_url' ) ) :
function krystal_business_sanitize_url( $url ) {
    return esc_url_raw( $url );
}
endif;

/**
 * Sanitize checkbox.
 *
 * @param bool $checked Whether the checkbox is checked.
 * @return bool Whether the checkbox is checked.
 */
if ( ! function_exists( 'krystal_business_sanitize_checkbox_selection' ) ) :
function krystal_business_sanitize_checkbox_selection( $checked ) {
    // Boolean check.
    return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
endif;